       subroutine celpar (i,cellco)                                     CELP001
c ----------------------------------------------------------------------CELP002
c      reads the cell parameters                                        CELP003
c ----------------------------------------------------------------------CELP004
c     This program module is part of the PhysiSoft X-ray Library        CELP005
c     and may not be sold or reproduced for commercial purposes.        CELP006
c     Although it has been tested carefully, there is no warranty       CELP007
c     regarding accuracy or freedom from side-effects.                  CELP008
c                   (C) 1986-1990 Bernhard Rupp                         CELP009
c ----------------------------------------------------------------------CELP010
                                                                        CELP011
       character*19 text(6)                                             CELP012
                                                                        CELP013
       data (text(i),i=1,6) /' Cell constant a = ',                     CELP014
     & ' Cell constant b = ',' Cell constant c = ',                     CELP015
     & ' Alpha =           ',' Beta  =           ',                     CELP016
     & ' Gamma =           '/                                           CELP017
                                                                        CELP018
 0001  write(*,'(/1x,a$)') text(i)                                      CELP019
       read(*,*,err=0001) cellco                                        CELP020
       if (cellco.lt.1.0) then                                          CELP021
          print*,'A little bit low, ehh ? ',cellco                      CELP022
          goto 0001                                                     CELP023
       end if                                                           CELP024
       return                                                           CELP025
       end                                                              CELP026
                                                                        CELP027
                                                                        CELP028
